<template>
	<div>
		<h1>Log in</h1>
		<form class="d-flex flex-column">
			<input v-model="email" type="email" placeholder="E-mail">
			<input v-model="password" type="password" placeholder="Password">
			<button @click.prevent="logIn">Log in</button>
		</form>
	</div>
</template>

<script>
	export default {
		data() {
			return {
				email: '',
				password: ''
			}
		},

		mounted() {
			this.$store.dispatch('initialize')
		},

		methods: {
			logIn() {
				this.$store.dispatch('logIn', {
					emailAddress: this.email,
					password: this.password
				})
			},
		}
	}
</script>